Subject: bug#51528: 29.0.50; Can't build Mu4e from straight (missing xapian.h)

From: Niels Søndergaard <[email-masked]>
Date: Sun, 31 Oct 2021 16:03:30 +0100

That’s fine, I will eventual do that
Thanks
’Niels
 <applewebdata://E2A7925D-C2A0-4BFD-A0C4-32B0EB17FA59>
Niels Søndergaard
Mariehøj 236, 2990 Nivå
 <tel:+45 4052 2789>+45 4052 [email-masked] <mailto:[email-masked]>
Ultra posse nemo obligatur.

> Den 31. okt. 2021 kl. 15.36 skrev Eli Zaretskii <[email-masked]>:
> 
>> From: Niels Søndergaard <[email-masked]>
>> Date: Sun, 31 Oct 2021 15:23:19 +0100
>> 
>> Installing mu4e on my iMAC 24" M1 machine comes with the error
>> In file included from ../lib/utils/mu-error.hh:24:
>> 
>> ../lib/utils/mu-utils.hh:32:10: fatal error: 'xapian.h' file not found
>> #include <xapian.h>
>>        ^~~~~~~~~~
>> 1 error generated.
>> 
>> (just like bug#51321, justr that I can't guess where to change the
>> include directory)
> 
> Mu4e is not part of Emacs, so I suggest to report this to the Mu4e
> developers instead.
> 
> Thanks.